NewFans API, previously OnlyFans API · A new name. A broader platform.
Fans API
OnlyFansChat Messages

Get Specific Chat Message

Get a single chat message by its ID. Returns a 404 if the message does not exist in the chat. For messages sent by the connected account, seenByFan is true if the fan has seen the message and false otherwise. It is null for messages sent by the fan or when read status is unavailable.

GET
/api/{account}/chats/{chat_id}/messages/{message_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

chat_id*string

The ID of the chat (usually a fan's OnlyFans User ID)

message_id*string

The ID of the message to retrieve

Response Body

application/json

application/json

curl -X GET "https://app.fansapi.com/api/acct_XXXXXXXXXXXXXXX/chats/123/messages/69696969"
{
  "data": {
    "responseType": "message",
    "text": "I am so glad you’re here🫶🏻",
    "giphyId": null,
    "lockedText": false,
    "isFree": true,
    "price": 0,
    "isMediaReady": true,
    "mediaCount": 0,
    "media": [],
    "previews": [],
    "isTip": false,
    "isReportedByMe": false,
    "isCouplePeopleMedia": false,
    "queueId": 123,
    "isMarkdownDisabled": true,
    "releaseForms": [],
    "fromUser": {
      "id": 123,
      "_view": "s"
    },
    "isFromQueue": false,
    "id": 69696969,
    "isOpened": false,
    "isNew": false,
    "createdAt": "2025-02-03T23:29:53+00:00",
    "changedAt": "2025-02-03T23:29:53+00:00",
    "cancelSeconds": 0,
    "isLiked": false,
    "canPurchase": false,
    "canPurchaseReason": "free",
    "canReport": false,
    "canBePinned": true,
    "isPinned": false,
    "isSentByMe": true,
    "seenByFan": true
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999964357,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 1000,
      "limit_day": 50000,
      "remaining_minute": 997,
      "remaining_day": 49997
    }
  }
}
{
  "error": "ONLYFANS_COM_ERROR",
  "message": "The requested OnlyFans resource was not found.",
  "description": "This error happened while our servers tried to communicate with OnlyFans.com in real time",
  "onlyfans_response": {
    "status": 200,
    "body": {
      "list": [],
      "hasMore": false
    }
  }
}